InputNumberSliderRendererBase (RichFaces JSF components library 3.2.0.CR4 API)
Keywords: org.richfaces.renderkit.InputNumberSliderRendererBase class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class InputNumberSliderRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.ajax4jsf.renderkit.RendererBase
              org.ajax4jsf.renderkit.HeaderResourcesRendererBase
                  org.ajax4jsf.renderkit.AjaxComponentRendererBase
                      org.richfaces.renderkit.InputRendererBase
                          org.richfaces.renderkit.InputNumberSliderRendererBase

All Implemented Interfaces:
  org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.resource.ResourceProduser

Direct Known Subclasses:
  InputNumberSliderRenderer

    public class InputNumberSliderRendererBase

extends org.richfaces.renderkit.InputRendererBase

Author:
  Nick - mailto:nbelaevski@exadel.com created 19.01.2007

Field Summary

Fields inherited from class org.ajax4jsf.renderkit.RendererBase
`JAVASCRIPT_NAMESPACE`

Constructor Summary
`InputNumberSliderRendererBase()`

Method Summary
`protected boolean` | `attributeToBoolean(javax.faces.component.UIComponent component, java.lang.String attributeName)`
`protected java.lang.Class` | `getComponentClass()`
`java.lang.String` | `getStyleValue(UIInputNumberSlider slider)`
`void` | `prepareVariables(javax.faces.context.FacesContext context, UIInputNumberSlider slider)`
`void` | `writeEventHandlerFunction(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String eventName)`

Methods inherited from class org.richfaces.renderkit.InputRendererBase
`doDecode, getConvertedValue, getInputValue`

Methods inherited from class org.ajax4jsf.renderkit.AjaxComponentRendererBase
`getAdditionalScripts, getScripts`

Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase
`encodeResourcesArray, getHeaderScripts, getHeaderStyles, getStyles, preEncodeBegin`

Methods inherited from class org.ajax4jsf.renderkit.RendererBase
`addResource, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getResource, getSkin, getUtils, preDecode, renderChild, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.ajax4jsf.renderkit.HeaderResourceProducer
`getHeaderScripts, getHeaderStyles`

Constructor Detail

### InputNumberSliderRendererBase

    public InputNumberSliderRendererBase()

Method Detail

### getComponentClass

    protected java.lang.Class getComponentClass()

  Overrides:
    `getComponentClass` in class `org.richfaces.renderkit.InputRendererBase`

### attributeToBoolean

    protected boolean attributeToBoolean(javax.faces.component.UIComponent component,
                                         java.lang.String attributeName)

### writeEventHandlerFunction

    public void writeEventHandlerFunction(javax.faces.context.FacesContext context,
                                          javax.faces.component.UIComponent component,
                                          java.lang.String eventName)
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### prepareVariables

    public void prepareVariables(javax.faces.context.FacesContext context,
                                 UIInputNumberSlider slider)

### getStyleValue

    public java.lang.String getStyleValue(UIInputNumberSlider slider)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.